Package twisted :: Package words :: Module service :: Class IWordsClient

[show private | hide private]
[frames | no frames]

## Class IWordsClient

    Interface --+
                |
               IWordsClient

A client to a perspective on the twisted.words service.

I attach to that participant with Participant.attached(), and detatch with Participant.detached().

Method Summary
| ``memberJoined`(self, member, group)` Tells me a member has joined a group.
| ``memberLeft`(self, member, group)` Tells me a member has left a group.
| ``notifyStatusChanged`(self, name, status)` Notify me of a change in status of one of my contacts.
| ``receiveContactList`(self, contactList)` Receive a list of contacts and their status.
| ``receiveDirectMessage`(self, sender, message, metadata)` Receive a message from someone named 'sender'.
| ``receiveGroupMembers`(self, names, group)` Receive a list of members in a group.
| ``receiveGroupMessage`(self, sender, group, message, metadata)` Receive a message from 'sender' directed to a group.
| ``setGroupMetadata`(self, metadata, name)` Some metadata on a group has been set.

Method Details

### memberJoined(self, member, group)

Tells me a member has joined a group.

### memberLeft(self, member, group)

Tells me a member has left a group.

### notifyStatusChanged(self, name, status)

Notify me of a change in status of one of my contacts.

### receiveContactList(self, contactList)

Receive a list of contacts and their status.

The list is composed of 2-tuples, of the form (contactName, contactStatus)

### receiveDirectMessage(self, sender, message, metadata=None)

Receive a message from someone named 'sender'. 'metadata' is a dict of special flags. So far 'style': 'emote' is defined. Note that 'metadata' *must* be optional.

### receiveGroupMembers(self, names, group)

Receive a list of members in a group.

'names' is a list of participant names in the group named 'group'.

### receiveGroupMessage(self, sender, group, message, metadata=None)

Receive a message from 'sender' directed to a group. 'metadata' is a dict of special flags. So far 'style': 'emote' is defined. Note that 'metadata' *must* be optional.

### setGroupMetadata(self, metadata, name)

Some metadata on a group has been set.

XXX: Should this be receiveGroupMetadata(name, metedata)?

Generated by Epydoc 1.1 on Sat Feb 15 21:19:34 2003 | http://epydoc.sf.net